/*
	Relay -- a tool to record and play Quake2 demos
	Copyright (C) 1999 Conor Davis

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	Conor Davis
	cedavis@epid.org
*/

#ifndef	__SHARED_H
#define	__SHARED_H

#include <stddef.h>

#pragma warning(disable: 4305)		// const double to float truncation
#pragma warning(disable: 4244)		// double to float conversion

//#define BIGENDIAN

// be sure to #define GAME_INCLUDE if you don't want edict_s and gclient_s to be defined here
#include "q2defines.h"

#define	MAX_MAP_AREAS	256
#define	MAX_MSGLEN		1400
#define	MAX_SVSLEN		32768


#define	ISBITSET(array, index)		((array)[(index)>>3] & (1 << ((index) & 7)) ? true : false)
#define	SETBIT(array, index, value)	((value) ? ((array)[(index)>>3] |= 1 << ((index) & 7)) : ((array)[(index)>>3] &= ~(1 << ((index) & 7))))

extern void Com_Printf(char *fmt, ...);
extern void Sys_Error(char *fmt, ...);

#endif // __SHARED_H